package ch.dissem.yaep.ui.common

import androidx.compose.foundation.ExperimentalFoundationApi
import androidx.compose.foundation.combinedClickable
import androidx.compose.ui.Modifier

@OptIn(ExperimentalFoundationApi::class)
actual fun Modifier.onPointerAction(
    primary: () -> Unit,
    secondary: () -> Unit
): Modifier {
    return this
        .combinedClickable(
            onClick = primary,
            onLongClick = secondary
        )
}